Bug 1477592 - [abrt] libkscreen-qt5: XRandRScreen::toKScreenScreen(): kscreen_backend_launcher killed by signal 11
[abrt] libkscreen-qt5: XRandRScreen::toKScreenScreen(): kscreen_backend_launc...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libkscreen-qt5 (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0dd9c7e06e3d23f616518354013...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-02 08:30 EDT by John W Smith
Modified: 2018-05-29 07:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:52:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.51 KB, text/plain)
2017-08-02 08:31 EDT, John W Smith
no flags Details
File: cgroup (321 bytes, text/plain)
2017-08-02 08:31 EDT, John W Smith
no flags Details
File: core_backtrace (12.67 KB, text/plain)
2017-08-02 08:31 EDT, John W Smith
no flags Details
File: cpuinfo (1.34 KB, text/plain)
2017-08-02 08:32 EDT, John W Smith
no flags Details
File: dso_list (7.80 KB, text/plain)
2017-08-02 08:32 EDT, John W Smith
no flags Details
File: environ (1.82 KB, text/plain)
2017-08-02 08:32 EDT, John W Smith
no flags Details
File: exploitable (82 bytes, text/plain)
2017-08-02 08:32 EDT, John W Smith
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-02 08:32 EDT, John W Smith
no flags Details
File: maps (35.38 KB, text/plain)
2017-08-02 08:32 EDT, John W Smith
no flags Details
File: open_fds (558 bytes, text/plain)
2017-08-02 08:32 EDT, John W Smith
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-08-02 08:32 EDT, John W Smith
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-08-02 08:32 EDT, John W Smith
no flags Details

  None (edit)
Description John W Smith 2017-08-02 08:30:54 EDT
Version-Release number of selected component:
libkscreen-qt5-5.10.1-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/kf5/kscreen_backend_launcher
crash_function: XRandRScreen::toKScreenScreen
executable:     /usr/libexec/kf5/kscreen_backend_launcher
journald_cursor: s=9b1dabb9149b41fa802f72265ca30bd1;i=a8b5;b=69bbff3e5ca04d2585313d8a595ce146;m=171e59b1;t=55526f69be53a;x=9afd6c373fab3939
kernel:         4.11.11-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XRandRScreen::toKScreenScreen at /usr/src/debug/libkscreen-5.10.1/backends/xrandr/xrandrscreen.cpp:67
 #1 XRandRConfig::toKScreenConfig at /usr/src/debug/libkscreen-5.10.1/backends/xrandr/xrandrconfig.cpp:117
 #2 XRandR::config at /usr/src/debug/libkscreen-5.10.1/backends/xrandr/xrandr.cpp:205
 #3 BackendDBusWrapper::setConfig at /usr/src/debug/libkscreen-5.10.1/src/backendlauncher/backenddbuswrapper.cpp:87
 #4 BackendAdaptor::setConfig at /usr/src/debug/libkscreen-5.10.1/x86_64-redhat-linux-gnu/src/backendlauncher/backendadaptor.cpp:51
 #5 BackendAdaptor::qt_static_metacall at /usr/src/debug/libkscreen-5.10.1/x86_64-redhat-linux-gnu/src/backendlauncher/backendadaptor.moc:112
 #7 BackendAdaptor::qt_metacall at /usr/src/debug/libkscreen-5.10.1/x86_64-redhat-linux-gnu/src/backendlauncher/backendadaptor.moc:155
 #8 QDBusConnectionPrivate::deliverCall at qdbusintegrator.cpp:998
 #9 QDBusConnectionPrivate::activateCall at qdbusintegrator.cpp:908
 #11 QDBusConnectionPrivate::activateObject at qdbusintegrator.cpp:1490

Potential duplicate: bug 1406752
Comment 1 John W Smith 2017-08-02 08:31:03 EDT
Created attachment 1308188 [details]
File: backtrace
Comment 2 John W Smith 2017-08-02 08:31:07 EDT
Created attachment 1308189 [details]
File: cgroup
Comment 3 John W Smith 2017-08-02 08:31:10 EDT
Created attachment 1308190 [details]
File: core_backtrace
Comment 4 John W Smith 2017-08-02 08:32:19 EDT
Created attachment 1308191 [details]
File: cpuinfo
Comment 5 John W Smith 2017-08-02 08:32:22 EDT
Created attachment 1308192 [details]
File: dso_list
Comment 6 John W Smith 2017-08-02 08:32:24 EDT
Created attachment 1308193 [details]
File: environ
Comment 7 John W Smith 2017-08-02 08:32:27 EDT
Created attachment 1308194 [details]
File: exploitable
Comment 8 John W Smith 2017-08-02 08:32:30 EDT
Created attachment 1308195 [details]
File: limits
Comment 9 John W Smith 2017-08-02 08:32:33 EDT
Created attachment 1308196 [details]
File: maps
Comment 10 John W Smith 2017-08-02 08:32:37 EDT
Created attachment 1308197 [details]
File: open_fds
Comment 11 John W Smith 2017-08-02 08:32:40 EDT
Created attachment 1308198 [details]
File: proc_pid_status
Comment 12 John W Smith 2017-08-02 08:32:43 EDT
Created attachment 1308199 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2018-05-03 04:27:30 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2018-05-29 07:52:15 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.